package eu.mhsl.minecraft.WorldMuseum.listener;

import eu.mhsl.minecraft.WorldMuseum.Main;
import net.kyori.adventure.util.Ticks;
import org.bukkit.Bukkit;
import org.bukkit.GameMode;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.potion.PotionEffect;
import org.bukkit.potion.PotionEffectType;

public class PlayerListener implements Listener {
    @EventHandler
    public void onJoin(PlayerJoinEvent event) {
        event.getPlayer().setGameMode(GameMode.SURVIVAL);
        event.getPlayer().addPotionEffect(
            new PotionEffect(PotionEffectType.HASTE, PotionEffect.INFINITE_DURATION, 15, false, false, false)
        );
    }

    @EventHandler
    public void onBreak(BlockBreakEvent event) {
        Bukkit.getScheduler().scheduleSyncDelayedTask(
            Main.instance(),
            () -> event.getBlock().getWorld().getBlockAt(event.getBlock().getLocation()).setType(event.getBlock().getType()),
            Ticks.TICKS_PER_SECOND * 5
        );
    }
}
