package eu.mhsl.minecraft.WorldMuseum.util;

import com.google.common.io.ByteArrayDataOutput;
import com.google.common.io.ByteStreams;
import eu.mhsl.minecraft.WorldMuseum.Main;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.util.Ticks;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import java.util.logging.Level;

public class BungeeCord {
    public static void connect(Player player, String server) {
        Main.instance().getLogger().log(Level.INFO, String.format("Bungeecord: Sending %s to %s", player.getName(), server));
        ByteArrayDataOutput output = ByteStreams.newDataOutput();
        output.writeUTF("Connect");
        output.writeUTF(server);
        player.sendPluginMessage(Main.instance(), "BungeeCord", output.toByteArray());

        Bukkit.getScheduler().scheduleSyncDelayedTask(
            Main.instance(),
            () -> player.kick(Component.text("connect timeout")),
            Ticks.TICKS_PER_SECOND * 10
        );
    }
}
