package eu.mhsl.minecraft.WorldMuseum.viewableWorld;

import io.papermc.paper.event.entity.EntityMoveEvent;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockFromToEvent;
import org.bukkit.event.block.BlockGrowEvent;
import org.bukkit.event.block.BlockRedstoneEvent;
import org.bukkit.event.entity.EntitySpawnEvent;

public class ViewableWorldListener implements Listener {
    @EventHandler
    public void disableRedstone(BlockRedstoneEvent event) {
        event.setNewCurrent(0);
    }
    @EventHandler
    public void disableEntitySpawn(EntitySpawnEvent event) {
        event.setCancelled(true);
    }
    @EventHandler
    public void preventEntityMove(EntityMoveEvent event) {
        event.setCancelled(true);
    }
    @EventHandler
    public void preventBlockFromTo(BlockFromToEvent event) {
        event.setCancelled(true);
    }
    @EventHandler
    public void preventGrowth(BlockGrowEvent event) {
        event.setCancelled(true);
    }
}
